<!-- <p>scheme-entrylist works!</p> -->
<div class="container">
  <div class="row">
    <div class="col l12 xl12 m12 s12 ">
      <button class="btnsub" mat-button routerLink="/scheme">Create</button>
      <alert></alert>
      <div class="mat-elevation-z8">
        <table mat-table [dataSource]="dataSource" class="mat-elevation-z8" matSort>

          <ng-container [matColumnDef]="column.Value" *ngFor="let column of ViewdisplayedColumns">
            <th mat-header-cell *matHeaderCellDef> {{column.Text}} </th>
            <td mat-cell *matCellDef="let element" mat-sort-header> {{element[column.Value]}} </td>
          </ng-container>
          <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
          <tr mat-row *matRowDef="let row; columns: columnsToDisplay;"></tr>
        </table>

        <mat-paginator [pageSizeOptions]="[10, 25, 50,100]" showFirstLastButtons></mat-paginator>
      </div>
    </div>
  </div>
</div>



<footer>

  <div class="container">
    <div class="col s12">
      Website Designed & maintained by
    </div>
  </div>
</footer>